#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.8.7) on: Mon Aug 5 01:11:02 2019
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/pkg/qt4/bin/qmake PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/pkg/qt4/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = /bin/mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = /bin/mkdir -p
SUBTARGETS    =  \
		sub-background \
		sub-qtstyle

background/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) background/ || $(MKDIR) background/ 
	cd background/ && $(QMAKE) /tmp/pkgbuild/geography/merkaartor/work.alpha/merkaartor-0.17.2/plugins/background/background.pro PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o $(MAKEFILE)
sub-background-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) background/ || $(MKDIR) background/ 
	cd background/ && $(QMAKE) /tmp/pkgbuild/geography/merkaartor/work.alpha/merkaartor-0.17.2/plugins/background/background.pro PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o $(MAKEFILE)
sub-background: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE)
sub-background-make_default: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) 
sub-background-make_first: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) first
sub-background-all: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) all
sub-background-clean: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) clean
sub-background-distclean: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) distclean
sub-background-install_subtargets: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) install
sub-background-uninstall_subtargets: background/$(MAKEFILE) FORCE
	cd background/ && $(MAKE) -f $(MAKEFILE) uninstall
qtstyle/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtstyle/ || $(MKDIR) qtstyle/ 
	cd qtstyle/ && $(QMAKE) /tmp/pkgbuild/geography/merkaartor/work.alpha/merkaartor-0.17.2/plugins/qtstyle/qtstyle.pro PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o $(MAKEFILE)
sub-qtstyle-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtstyle/ || $(MKDIR) qtstyle/ 
	cd qtstyle/ && $(QMAKE) /tmp/pkgbuild/geography/merkaartor/work.alpha/merkaartor-0.17.2/plugins/qtstyle/qtstyle.pro PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o $(MAKEFILE)
sub-qtstyle: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE)
sub-qtstyle-make_default: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) 
sub-qtstyle-make_first: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) first
sub-qtstyle-all: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) all
sub-qtstyle-clean: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtstyle-distclean: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtstyle-install_subtargets: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) install
sub-qtstyle-uninstall_subtargets: qtstyle/$(MAKEFILE) FORCE
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /usr/pkg/qt4/mkspecs/default/qmake.conf /usr/pkg/qt4/mkspecs/common/unix.conf \
		/usr/pkg/qt4/mkspecs/qconfig.pri \
		/usr/pkg/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/pkg/qt4/mkspecs/features/qt_functions.prf \
		/usr/pkg/qt4/mkspecs/features/qt_config.prf \
		/usr/pkg/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/pkg/qt4/mkspecs/features/default_pre.prf \
		/usr/pkg/qt4/mkspecs/features/release.prf \
		/usr/pkg/qt4/mkspecs/features/default_post.prf \
		/usr/pkg/qt4/mkspecs/features/shared.prf \
		/usr/pkg/qt4/mkspecs/features/warn_on.prf \
		/usr/pkg/qt4/mkspecs/features/qt.prf \
		/usr/pkg/qt4/mkspecs/features/unix/thread.prf \
		/usr/pkg/qt4/mkspecs/features/moc.prf \
		/usr/pkg/qt4/mkspecs/features/resources.prf \
		/usr/pkg/qt4/mkspecs/features/uic.prf \
		/usr/pkg/qt4/mkspecs/features/yacc.prf \
		/usr/pkg/qt4/mkspecs/features/lex.prf \
		/usr/pkg/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o Makefile plugins.pro
/usr/pkg/qt4/mkspecs/common/unix.conf:
/usr/pkg/qt4/mkspecs/qconfig.pri:
/usr/pkg/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/pkg/qt4/mkspecs/features/qt_functions.prf:
/usr/pkg/qt4/mkspecs/features/qt_config.prf:
/usr/pkg/qt4/mkspecs/features/exclusive_builds.prf:
/usr/pkg/qt4/mkspecs/features/default_pre.prf:
/usr/pkg/qt4/mkspecs/features/release.prf:
/usr/pkg/qt4/mkspecs/features/default_post.prf:
/usr/pkg/qt4/mkspecs/features/shared.prf:
/usr/pkg/qt4/mkspecs/features/warn_on.prf:
/usr/pkg/qt4/mkspecs/features/qt.prf:
/usr/pkg/qt4/mkspecs/features/unix/thread.prf:
/usr/pkg/qt4/mkspecs/features/moc.prf:
/usr/pkg/qt4/mkspecs/features/resources.prf:
/usr/pkg/qt4/mkspecs/features/uic.prf:
/usr/pkg/qt4/mkspecs/features/yacc.prf:
/usr/pkg/qt4/mkspecs/features/lex.prf:
/usr/pkg/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) PREFIX=/usr/pkg NODEBUG=1 OSMARENDER=1 PROJ=1 GDAL=1 GEOIMAGE=1 GPSDLIB=1 RELEASE=1 -o Makefile plugins.pro

qmake_all: sub-background-qmake_all sub-qtstyle-qmake_all FORCE

make_default: sub-background-make_default sub-qtstyle-make_default FORCE
make_first: sub-background-make_first sub-qtstyle-make_first FORCE
all: sub-background-all sub-qtstyle-all FORCE
clean: sub-background-clean sub-qtstyle-clean FORCE
distclean: sub-background-distclean sub-qtstyle-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-background-install_subtargets sub-qtstyle-install_subtargets FORCE
uninstall_subtargets: sub-background-uninstall_subtargets sub-qtstyle-uninstall_subtargets FORCE

sub-background-check: background/$(MAKEFILE)
	cd background/ && $(MAKE) -f $(MAKEFILE) check
sub-qtstyle-check: qtstyle/$(MAKEFILE)
	cd qtstyle/ && $(MAKE) -f $(MAKEFILE) check
check: sub-background-check sub-qtstyle-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

